Package org.eclipse.mat.ui.snapshot.editor

# Class HeapEditorPane

java.lang.Object
org.eclipse.mat.ui.editor.AbstractEditorPane
org.eclipse.mat.ui.snapshot.editor.HeapEditorPane

All Implemented Interfaces:
  `IAdaptable`, `IEditorPart`, `ISaveablePart`, `IWorkbenchPart`

Direct Known Subclasses:
  `OverviewPane`

public abstract class HeapEditorPane extends AbstractEditorPane

## Field Summary

### Fields inherited from interface org.eclipse.ui.IEditorPart

`PROP_DIRTY, PROP_INPUT`

### Fields inherited from interface org.eclipse.ui.IWorkbenchPart

`PROP_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`HeapEditorPane()`

## Method Summary

Modifier and Type
Method
Description
`ISnapshotEditorInput`
`getSnapshotInput()`
`void`
`init(IEditorSite site, IEditorInput input)`

### Methods inherited from class org.eclipse.mat.ui.editor.AbstractEditorPane

`addPropertyListener, contributeToToolBar, dispose, doSave, doSaveAs, getAdapter, getEditor, getEditorInput, getEditorSite, getPaneId, getPaneState, getParentPane, getQueryContext, getSite, getTitleImage, getTitleToolTip, initWithArgument, isDirty, isSaveAsAllowed, isSaveOnCloseNeeded, removePropertyListener, setFocus, setPaneState`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.IWorkbenchPart

`createPartControl, getTitle`

## Constructor Details

### HeapEditorPane

public HeapEditorPane()

## Method Details

### init

public void init(IEditorSite site, IEditorInput input) throws PartInitException

Specified by:
  `init` in interface `IEditorPart`
Overrides:
  `init` in class `AbstractEditorPane`
Throws:
  `PartInitException`

### getSnapshotInput

public ISnapshotEditorInput getSnapshotInput()